org.encog.mathutil.libsvm

## Class svm

- java.lang.Object
- - org.encog.mathutil.libsvm.svm

-     public class svm
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LIBSVM_VERSION`
    `static Random` | `rand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `svm()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `svm_check_parameter(svm_problem prob, svm_parameter param)`
    `static int` | `svm_check_probability_model(svm_model model)`
    `static void` | `svm_cross_validation(svm_problem prob, svm_parameter param, int nr_fold, double[] target)`
    `static void` | `svm_get_labels(svm_model model, int[] label)`
    `static int` | `svm_get_nr_class(svm_model model)`
    `static int` | `svm_get_svm_type(svm_model model)`
    `static double` | `svm_get_svr_probability(svm_model model)`
    `static svm_model` | `svm_load_model(BufferedReader fp)`
    `static svm_model` | `svm_load_model(String model_file_name)`
    `static double` | `svm_predict_probability(svm_model model, svm_node[] x, double[] prob_estimates)`
    `static double` | `svm_predict_values(svm_model model, svm_node[] x, double[] dec_values)`
    `static double` | `svm_predict(svm_model model, svm_node[] x)`
    `static void` | `svm_save_model(DataOutputStream fp, svm_model model)`
    `static void` | `svm_save_model(String model_file_name, svm_model model)`
    `static void` | `svm_set_print_string_function(svm_print_interface print_func)`
    `static svm_model` | `svm_train(svm_problem prob, svm_parameter param)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LIBSVM_VERSION

          public static final int LIBSVM_VERSION

      See Also:
        Constant Field Values

    - #### rand

          public static final Random rand

  - ### Constructor Detail

    - #### svm

          public svm()

  - ### Method Detail

    - #### svm_train

          public static svm_model svm_train(svm_problem prob,
                            svm_parameter param)

    - #### svm_cross_validation

          public static void svm_cross_validation(svm_problem prob,
                                  svm_parameter param,
                                  int nr_fold,
                                  double[] target)

    - #### svm_get_svm_type

          public static int svm_get_svm_type(svm_model model)

    - #### svm_get_nr_class

          public static int svm_get_nr_class(svm_model model)

    - #### svm_get_labels

          public static void svm_get_labels(svm_model model,
                            int[] label)

    - #### svm_get_svr_probability

          public static double svm_get_svr_probability(svm_model model)

    - #### svm_predict_values

          public static double svm_predict_values(svm_model model,
                                  svm_node[] x,
                                  double[] dec_values)

    - #### svm_predict

          public static double svm_predict(svm_model model,
                           svm_node[] x)

    - #### svm_predict_probability

          public static double svm_predict_probability(svm_model model,
                                       svm_node[] x,
                                       double[] prob_estimates)

    - #### svm_save_model

          public static void svm_save_model(String model_file_name,
                            svm_model model)
                                     throws IOException

      Throws:
        `IOException`

    - #### svm_save_model

          public static void svm_save_model(DataOutputStream fp,
                            svm_model model)
                                     throws IOException

      Throws:
        `IOException`

    - #### svm_load_model

          public static svm_model svm_load_model(String model_file_name)
                                          throws IOException

      Throws:
        `IOException`

    - #### svm_load_model

          public static svm_model svm_load_model(BufferedReader fp)
                                          throws IOException

      Throws:
        `IOException`

    - #### svm_check_parameter

          public static String svm_check_parameter(svm_problem prob,
                                   svm_parameter param)

    - #### svm_check_probability_model

          public static int svm_check_probability_model(svm_model model)

    - #### svm_set_print_string_function

          public static void svm_set_print_string_function(svm_print_interface print_func)

Copyright © 2014. All Rights Reserved.